Skip to main content

Get Battery Charging Status

Description

Retrieve the current charging status, including plug-in connection, charging or discharging state, remaining battery level, and estimated time to full charge.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/batteries

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/batteries" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Response

Success

200
{
"data": {
"charge": {
"plugin": "connected",
"status": "fastCharging",
"charging": true,
"stateOfCharge": 30.5,
"batteryCapacity": 273960,
"targetStateOfCharge": {
"standard": 100,
"quick": 100
},
"remainTime": 54
},
"timestamp": "2025-09-01T00:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
chargeobjectBattery charging information
└─ pluginstringCharger connection status (disconnected, connected, invalid)
└─ statusstringCharging and discharging status of the battery
- notCharging: Not charging
- charging: Slow charging
- fastCharging: Fast charging
- v2lOperating: V2L operating
- v2lStop: V2L stopped
- v2xOperating: V2x operating
- reservedCharging: Reserved charging
- wirelessCharging: Wireless charging
└─ chargingbooleanCharging status
└─ stateOfChargenumberStatus of battery SoC (unit: %, range: 0~100)
└─ batteryCapacitynumberMaximum energy capacity of battery
└─ targetStateOfChargeobjectTarget charge amount of the battery
└────── standardintegerBattery charge target during slow/AC charging (unit: %, range: 0~100)
└────── quickintegerBattery charge target during fast/DC charging (unit: %, range: 0~100)
└─ remainTimeintegerTime remaining to charge (unit: minutes, range: 0~65535)
timestampstringTimestamp when data was transmitted from the vehicle (based on UTC+0) yyyy-MM-dd'T'HH:mm:ss'Z'

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For detailed descriptions of error code on failure, refer to Error Code.